function y = obj_thetaQ(thetaQ, Y, pars, prior, mats, dt, rlb, scale_thetaQ)
% value of negative log conditional posterior

res = prop_thetaQ(thetaQ, Y, pars, prior, mats, dt,rlb, scale_thetaQ) ;
if ~isstruct(res)
    y = 1e20 ;
else
%    y = -res.llkQ ; 
    y = -res.llkQ - res.lprior;
end

end